CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
  Take a third party risk management course for FREE
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2019-10092

In Apache HTTP Server 2.4.0-2.4.39, a limited cross-site scripting issue was reported affecting the mod_proxy error page. An attacker could cause the link on the error page to be malformed and instead point to a page of their choice. This would only be exploitable where a server was set up with proxying enabled but was misconfigured in such a way that the Proxy Error page was displayed.
Publish Date : 2019-09-26 Last Update Date : 2021-09-09
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
4.3
Confidentiality Impact None (There is no impact to the confidentiality of the system.)
Integrity Impact Partial (Modification of some system files or information is possible, but the attacker does not have control over what can be modified, or the scope of what the attacker can affect is limited.)
Availability Impact None (There is no impact to the availability of the system.)
Access Complexity Medium (The access conditions are somewhat specialized. Some preconditions must be satistified to exploit)
Authentication Not required (Authentication is not required to exploit the vulnerability.)
Gained Access None
Vulnerability Type(s) Cross Site Scripting
CWE ID 79

- Related OVAL Definitions

Title Definition Id Class Family
RHSA-2020:4751: httpd:2.4 security, bug fix, and enhancement update (Moderate) oval:com.redhat.rhsa:def:20204751 unix
OVAL (Open Vulnerability and Assessment Language) definitions define exactly what should be done to verify a vulnerability or a missing patch. Check out the OVAL definitions if you want to learn what you should do to verify a vulnerability.

- Products Affected By CVE-2019-10092

# Product Type Vendor Product Version Update Edition Language
1 Application Apache Http Server * * * * Version Details Vulnerabilities
2 OS Canonical Ubuntu Linux 16.04 * * * Version Details Vulnerabilities
3 OS Canonical Ubuntu Linux 18.04 * * * Version Details Vulnerabilities
4 OS Canonical Ubuntu Linux 19.04 * * * Version Details Vulnerabilities
5 OS Debian Debian Linux 8.0 * * * Version Details Vulnerabilities
6 OS Debian Debian Linux 9.0 * * * Version Details Vulnerabilities
7 OS Debian Debian Linux 10.0 * * * Version Details Vulnerabilities
8 OS Fedoraproject Fedora 30 * * * Version Details Vulnerabilities
9 OS Netapp Clustered Data Ontap * * * * Version Details Vulnerabilities
10 OS Netapp Clustered Data Ontap 9.6 P8 * * Version Details Vulnerabilities
11 OS Netapp Clustered Data Ontap 9.6 - * * Version Details Vulnerabilities
12 OS Netapp Clustered Data Ontap 9.6 P1 * * Version Details Vulnerabilities
13 OS Netapp Clustered Data Ontap 9.6 P3 * * Version Details Vulnerabilities
14 OS Netapp Clustered Data Ontap 9.6 P4 * * Version Details Vulnerabilities
15 OS Netapp Clustered Data Ontap 9.6 P7 * * Version Details Vulnerabilities
16 OS Opensuse Leap 15.0 * * * Version Details Vulnerabilities
17 OS Opensuse Leap 15.1 * * * Version Details Vulnerabilities
18 Application Oracle Communications Element Manager 8.0.0 * * * Version Details Vulnerabilities
19 Application Oracle Communications Element Manager 8.1.0 * * * Version Details Vulnerabilities
20 Application Oracle Communications Element Manager 8.1.1 * * * Version Details Vulnerabilities
21 Application Oracle Communications Element Manager 8.2.0 * * * Version Details Vulnerabilities
22 Application Oracle Enterprise Manager Ops Center 12.3.3 * * * Version Details Vulnerabilities
23 Application Oracle Enterprise Manager Ops Center 12.4.0 * * * Version Details Vulnerabilities
24 Application Oracle Secure Global Desktop 5.4 * * * Version Details Vulnerabilities
25 Application Oracle Secure Global Desktop 5.5 * * * Version Details Vulnerabilities
26 Application Redhat Software Collection 1.0 * * * Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
Apache Http Server 1
Canonical Ubuntu Linux 3
Debian Debian Linux 3
Fedoraproject Fedora 1
Netapp Clustered Data Ontap 7
Opensuse Leap 2
Oracle Communications Element Manager 4
Oracle Enterprise Manager Ops Center 2
Oracle Secure Global Desktop 2
Redhat Software Collection 1

- References For CVE-2019-10092

https://lists.apache.org/thread.html/r3c5c3104813c1c5508b55564b66546933079250a46ce50eee90b2e36@%3Ccvs.httpd.apache.org%3E
MLIST [httpd-cvs] 20210330 svn commit: r1073149 [13/13] - in /websites/staging/httpd/trunk/content: ./ security/ security/json/
https://www.debian.org/security/2019/dsa-4509
DEBIAN DSA-4509
https://security.netapp.com/advisory/ntap-20190905-0003/ CONFIRM
https://seclists.org/bugtraq/2019/Aug/47
BUGTRAQ 20190826 [SECURITY] [DSA 4509-1] apache2 security update
http://www.openwall.com/lists/oss-security/2019/08/15/4
MLIST [oss-security] 20190814 CVE-2019-10092: Limited cross-site scripting in mod_proxy
http://lists.opensuse.org/opensuse-security-announce/2019-09/msg00004.html
SUSE openSUSE-SU-2019:2051
https://security.gentoo.org/glsa/201909-04
GENTOO GLSA-201909-04
https://lists.fedoraproject.org/archives/list/package-announce@lists.fedoraproject.org/message/7RVHJHTU4JN3ULCQ44F2G6LZBF2LGNTC/
FEDORA FEDORA-2019-099575a123
https://lists.apache.org/thread.html/73768e31e0fcae03e12f5aa87da1cb26dece39327f3c32060baa3e94@%3Cannounce.httpd.apache.org%3E
MLIST [httpd-announce] 20190814 CVE-2019-10092: Limited cross-site scripting in mod_proxy
https://usn.ubuntu.com/4113-1/
UBUNTU USN-4113-1
https://lists.debian.org/debian-lts-announce/2019/08/msg00034.html
MLIST [debian-lts-announce] 20190828 [SECURITY] [DLA 1900-1] apache2 security update
https://github.com/DrunkenShells/Disclosures/tree/master/CVE-2019-10092-Limited%20Cross-Site%20Scripting%20in%20mod_proxy%20Error%20Page-Apache%20httpd
https://support.f5.com/csp/article/K30442259 CONFIRM
http://www.openwall.com/lists/oss-security/2020/08/08/1
MLIST [oss-security] 20200808 Re: CVE-2020-11984: Apache httpd: mod_uwsgi buffer overlow
http://www.openwall.com/lists/oss-security/2020/08/08/9
MLIST [oss-security] 20200808 Re: CVE-2020-11984: Apache httpd: mod_uwsgi buffer overlow
https://lists.apache.org/thread.html/rf6449464fd8b7437704c55f88361b66f12d5b5f90bcce66af4be4ba9@%3Ccvs.httpd.apache.org%3E
MLIST [httpd-cvs] 20210330 svn commit: r1073139 [1/13] - in /websites/staging/httpd/trunk/content: ./ security/json/
https://lists.apache.org/thread.html/rc998b18880df98bafaade071346690c2bc1444adaa1a1ea464b93f0a@%3Ccvs.httpd.apache.org%3E
MLIST [httpd-cvs] 20210330 svn commit: r1073140 [4/4] - in /websites/staging/httpd/trunk/content: ./ security/cvejsontohtml.py security/vulnerabilities_13.html security/vulnerabilities_20.html security/vulnerabilities_22.html security/vulnerabilities_24.html
https://lists.apache.org/thread.html/r9f93cf6dde308d42a9c807784e8102600d0397f5f834890708bf6920@%3Ccvs.httpd.apache.org%3E
MLIST [httpd-cvs] 20210330 svn commit: r1073149 [1/13] - in /websites/staging/httpd/trunk/content: ./ security/ security/json/
https://lists.apache.org/thread.html/r76142b8c5119df2178be7c2dba88fde552eedeec37ea993dfce68d1d@%3Ccvs.httpd.apache.org%3E
MLIST [httpd-cvs] 20210606 svn commit: r1075470 [4/4] - in /websites/staging/httpd/trunk/content: ./ security/json/CVE-2020-13938.json security/vulnerabilities_13.html security/vulnerabilities_20.html security/vulnerabilities_22.html security/vulnerabilities_24.html
https://lists.apache.org/thread.html/rd2fb621142e7fa187cfe12d7137bf66e7234abcbbcd800074c84a538@%3Ccvs.httpd.apache.org%3E
MLIST [httpd-cvs] 20210330 svn commit: r1888194 [12/13] - /httpd/site/trunk/content/security/json/
https://lists.apache.org/thread.html/r06f0d87ebb6d59ed8379633f36f72f5b1f79cadfda72ede0830b42cf@%3Ccvs.httpd.apache.org%3E
MLIST [httpd-cvs] 20210330 svn commit: r1073143 [3/3] - in /websites/staging/httpd/trunk/content: ./ security/
https://lists.apache.org/thread.html/r03ee478b3dda3e381fd6189366fa7af97c980d2f602846eef935277d@%3Ccvs.httpd.apache.org%3E
MLIST [httpd-cvs] 20210330 svn commit: r1073139 [12/13] - in /websites/staging/httpd/trunk/content: ./ security/json/
https://www.oracle.com/security-alerts/cpuapr2020.html
N/A N/A
https://lists.apache.org/thread.html/56c2e7cc9deb1c12a843d0dc251ea7fd3e7e80293cde02fcd65286ba@%3Ccvs.httpd.apache.org%3E
MLIST [httpd-cvs] 20190815 svn commit: r1048743 [4/4] - in /websites/staging/httpd/trunk/content: ./ security/vulnerabilities-httpd.xml security/vulnerabilities_13.html security/vulnerabilities_20.html security/vulnerabilities_22.html security/vulnerabilities_24.html
https://www.oracle.com/security-alerts/cpujul2020.html
https://lists.apache.org/thread.html/re3d27b6250aa8548b8845d314bb8a350b3df326cacbbfdfe4d455234@%3Ccvs.httpd.apache.org%3E
MLIST [httpd-cvs] 20200401 svn commit: r1058587 [4/4] - in /websites/staging/httpd/trunk/content: ./ security/vulnerabilities-httpd.xml security/vulnerabilities_13.html security/vulnerabilities_20.html security/vulnerabilities_22.html security/vulnerabilities_24.html
https://seclists.org/bugtraq/2019/Oct/24
BUGTRAQ 20191016 [SECURITY] [DSA 4509-3] apache2 security update
https://www.oracle.com/technetwork/security-advisory/cpuoct2019-5072832.html
N/A N/A
https://access.redhat.com/errata/RHSA-2019:4126
REDHAT RHSA-2019:4126
https://httpd.apache.org/security/vulnerabilities_24.html
https://lists.apache.org/thread.html/rd18c3c43602e66f9cdcf09f1de233804975b9572b0456cc582390b6f@%3Ccvs.httpd.apache.org%3E
MLIST [httpd-cvs] 20200401 svn commit: r1058586 [4/4] - in /websites/staging/httpd/trunk/content: ./ security/vulnerabilities-httpd.xml security/vulnerabilities_13.html security/vulnerabilities_20.html security/vulnerabilities_22.html security/vulnerabilities_24.html
https://lists.apache.org/thread.html/r0a83b112cd9701ef8a2061c8ed557f3dc9bb774d4da69fbb91bbc3c4@%3Cusers.httpd.apache.org%3E
MLIST [httpd-users] 20200202 Re: [users@httpd] Small difference on error messages
https://www.oracle.com/security-alerts/cpujan2020.html
https://lists.debian.org/debian-lts-announce/2019/09/msg00034.html
MLIST [debian-lts-announce] 20190930 [SECURITY] [DLA 1900-2] apache2 regression update

- Metasploit Modules Related To CVE-2019-10092

There are not any metasploit modules related to this CVE entry (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.